## org.gnu.gtk.event
Class TreeModelEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.TreeModelEvent

All Implemented Interfaces:
  java.io.Serializable

public class TreeModelEvent
extends GtkEvent

An event represeting action by a `TreeModel` class.

See Also:
  Serialized Form

Nested Class Summary
`static class` `TreeModelEvent.Type` Type of a TreeModelEvent

Constructor Summary
`TreeModelEvent(java.lang.Object source, TreeModelEvent.Type type)` Creates a new TreeModelEvent.

Method Summary
`int[]` `getNewOrder()`
`TreeIter` `getTreeIter()`
`TreePath` `getTreePath()`
`boolean` `isOfType(TreeModelEvent.Type aType)`
`void` `setNewOrder(int[] newOrder)`
`void` `setTreeIter(TreeIter treeIter)`
`void` `setTreePath(TreePath treePath)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeModelEvent

    public TreeModelEvent(java.lang.Object source,
                          TreeModelEvent.Type type)

  Creates a new TreeModelEvent. This is used internally by java-gnome. Users only have to deal with listeners.

Method Detail

### isOfType

    public boolean isOfType(TreeModelEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.

### getTreeIter

    public TreeIter getTreeIter()

  Returns:
    Returns the treeIter.

### setTreeIter

    public void setTreeIter(TreeIter treeIter)

  Parameters:
    `treeIter` - The treeIter to set.

### getTreePath

    public TreePath getTreePath()

  Returns:
    Returns the treePath.

### setTreePath

    public void setTreePath(TreePath treePath)

  Parameters:
    `treePath` - The treePath to set.

### getNewOrder

    public int[] getNewOrder()

  Returns:
    Returns the newOrder.

### setNewOrder

    public void setNewOrder(int[] newOrder)

  Parameters:
    `newOrder` - The newOrder to set.